global qtproblem, discproblem, oldticks, Started, oldcolor, notquitting, lowram, CDPath, IDSoundVolume, IDCDPath, bgmusic, demofolder

on startMovie
  clearGlobals()
end

on exitFrame
  go(the frame)
end

on Mac
  return the machineType <> 256
end

on checkforproblems
  the itemDelimiter = ","
  qtproblem = "QT"
  discproblem = 0
  if not (the quickTimePresent) then
    qtproblem = 1
  end if
  if Mac() then
    CDName = field("Mac CD Name")
    it = CDName & ":ID99CHK:"
    it = getNthFileNameInFolder(it, 1)
    if it = EMPTY then
      discproblem = 1
    else
      the searchPaths = [CDName, CDName & ":ALLFILES"]
      IDCDPath = CDName & ":"
    end if
  else
    here = the moviePath & "ID99CHK\"
    if getNthFileNameInFolder(here, 1) <> EMPTY then
      IDCDPath = the moviePath
    else
      if voidp(CDPath) then
        CDPath = EMPTY
      end if
      theletters = char 1 of CDPath & "defghijklmnopqrstuvwxyz!"
      repeat with a = 1 to the number of chars in theletters
        driveletter = char a of theletters
        if driveletter = "!" then
          exit repeat
        end if
        it = driveletter & ":\ID99CHK\"
        it = getNthFileNameInFolder(it, 1)
        if it <> EMPTY then
          exit repeat
        end if
      end repeat
      if driveletter = "!" then
        discproblem = 1
      else
        lowram = EMPTY
        the searchPaths = [driveletter & ":\ALLFILES\"]
        IDCDPath = driveletter & ":\"
      end if
    end if
  end if
  if (qtproblem = 1) or (discproblem = 1) then
    if Mac() then
      go("quit mac")
    else
      go("quit pc")
    end if
    exit
  else
    oldticks = the ticks
    Started = 1
    oldcolor = the colorDepth
    if the colorDepth < 16 then
      set the colorDepth to 16
    end if
    if the colorDepth < 16 then
      set the colorDepth to 32
    end if
  end if
end

on keyDown
  wasnumber = 0
  if "0123456789" contains the key then
    wasnumber = 1
    k = integer(the key)
    IDSoundVolume = (k * k * 3) + 5
    if the volume of sound 1 > 0 then
      set the volume of sound 1 to IDSoundVolume
    end if
    if the volume of sound 2 > 0 then
      set the volume of sound 2 to IDSoundVolume
    end if
  end if
  if not wasnumber then
    pass()
  end if
end
